Skip to main content
DELETE
Delete user

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Required. String. Identifies the organization the user is deleted from. Accepts either the organization's internal ID (32-character hexadecimal string) or its externalSourceId (the string an integration set on the organization). This endpoint supports externalId: when the value has the format of an internal ID and an organization with that ID exists, the internal ID takes precedence; otherwise the value is looked up as externalSourceId.

userId
string
required

Required. String. Identifies the user to delete, as returned in the id or externalSourceId field of the list response: either the user's internal ID (32-character hexadecimal string) or its externalSourceId (the non-empty string an integration set on the user). Only the users of the given organization are searched. This endpoint supports externalId: when a user of the organization has that internal ID, the internal ID takes precedence; otherwise the value is looked up as externalSourceId.

Response

No Content — the user was deleted